diff mbox

[4/4] kvm: configure: --with-patched-kernel doesn't need kernelversion

Message ID 1238149778-4666-5-git-send-email-markmc@redhat.com (mailing list archive)
State Accepted
Headers show

Commit Message

Mark McLoughlin March 27, 2009, 10:29 a.m. UTC
DEPMOD_VERSION is only used for kvm.ko, not for e.g. header-sync.

Signed-off-by: Mark McLoughlin <markmc@redhat.com>
---
 kernel/configure |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)
diff mbox

Patch

diff --git a/kernel/configure b/kernel/configure
index 3fd0c94..7a222e4 100755
--- a/kernel/configure
+++ b/kernel/configure
@@ -12,6 +12,7 @@  cross_prefix=
 arch=`uname -m`
 # don't use uname if kerneldir is set
 no_uname=
+# we only need depmod_version for kvm.ko install
 depmod_version=
 if [ -z "TMPDIR" ] ; then
     TMPDIR=.
@@ -80,7 +81,7 @@  if [ -d "$kerneldir/include2" ]; then
     kernelsourcedir=${kerneldir%/*}/source
 fi
 
-if [ -n "$no_uname" ]; then
+if [ -n "$no_uname" -a "$want_module" ]; then
     if [ -e "$kerneldir/.kernelrelease" ]; then
         depmod_version=`cat "$kerneldir/.kernelrelease"`